Bug 1734417 (CVE-2019-14234)

Summary: CVE-2019-14234 Django: SQL injection possibility in key and index lookups for JSONField/HStoreField
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, bbuckingham, bcourt, bkearney, btotty, dbecker, hhudgeon, jal233, jjoyce, jschluet, kbasil, lhh, lpeer, lzap, mburns, mhroncok, mhulan, michel, mmccune, mrunge, puebele, rchan, rhos-maint, rjerrido, sclewis, security-response-team, sgallagh, sisharma, slavek.kabrda, slinaber, ssaha, vbellur
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python-django 1.11.23, python-django 2.1.11, python-django 2.2.4 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-06 10:32:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1750438, 1735776, 1735777, 1735779, 1735780, 1738512, 1738513, 1738514, 1745757, 1745758, 1745759, 1745760, 1746611, 1750439    
Bug Blocks: 1734428    

Description Marian Rehak 2019-07-30 13:52:51 UTC
:lookup:Key and index lookups <jsonfield.key> for :class:~django.contrib.postgres.fields.JSONField and :lookup:key lookups <hstorefield.key> for :class:~django.contrib.postgres.fields.HStoreField were subject to SQL injection, using a suitably crafted dictionary, with dictionary expansion, as the **kwargs passed to QuerySet.filter().

Comment 1 Marian Rehak 2019-08-01 12:33:13 UTC
Created python-django tracking bugs for this issue:

Affects: epel-7 [bug 1735776]
Affects: fedora-29 [bug 1735779]
Affects: fedora-30 [bug 1735780]


Created python-django16 tracking bugs for this issue:

Affects: epel-7 [bug 1735777]

Comment 2 Hardik Vyas 2019-08-05 12:00:46 UTC
External References:

https://www.djangoproject.com/weblog/2019/aug/01/security-releases/

Comment 11 Anten Skrabec 2019-08-29 00:01:37 UTC
Created python-django tracking bugs for this issue:

Affects: openstack-rdo [bug 1746611]

Comment 13 Marian Rehak 2019-09-04 08:21:15 UTC
Acknowledgments:

Name: the Django project

Comment 14 Riccardo Schirone 2019-09-09 15:22:11 UTC
Statement:

This issue affects the versions of python-django as shipped with Red Hat Gluster Storage 3, Red Hat Ceph Storage 2 and 3, as it contains the vulnerable code.

This issue affects Red Hat Update Infrastructure for Cloud Providers, but the vulnerable functions in python-django are currently not used in any part of the Product.

This issue does not affect Red Hat Satellite as the vulnerable functions in python-django are not used.

Red Hat OpenStack Platform:
* This issue affects all versions of python-django shipped with Red Hat Openstack Platform versions 9-15, as it contains the vulnerable code. However, the version of python-django shipped with Red Hat Openstack Platform versions 9 & 10 do not contain the code for JSONFields. 
* Because the flaw's impact is Medium, it will not be fixed in Red Hat Openstack Platform 9 which is retiring on 8/24.

Comment 16 errata-xmlrpc 2020-04-06 09:01:27 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 15.0 (Stein)

Via RHSA-2020:1324 https://access.redhat.com/errata/RHSA-2020:1324

Comment 17 Product Security DevOps Team 2020-04-06 10:32:07 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14234

Comment 24 errata-xmlrpc 2020-10-28 18:23:13 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 13.0 (Queens)
  Red Hat OpenStack Platform 13.0 (Queens) for RHEL 7.6 EUS

Via RHSA-2020:4390 https://access.redhat.com/errata/RHSA-2020:4390